Bug 612399 - [RHEL6 snap6] multipath should use blacklist exceptions
Summary: [RHEL6 snap6] multipath should use blacklist exceptions
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
high
high
Target Milestone: rc
: ---
Assignee: Peter Jones
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 518982
TreeView+ depends on / blocked
 
Reported: 2010-07-08 06:22 UTC by Issue Tracker
Modified: 2018-10-27 12:37 UTC (History)
8 users (show)

Fixed In Version: anaconda-13.21.59-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 19:50:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/anaconda-use-blacklist_exceptions-rhel6snap6.patch (948 bytes, patch)
2010-07-08 06:27 UTC, Mark Wu
no flags Details | Diff

Description Issue Tracker 2010-07-08 06:22:29 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2010-07-08 06:22:31 UTC
Event posted on 07-08-2010 05:23am CST by jnomura

Cloning from IT 378094 / BZ 518982 which was about dracut and multipath 
root devices.

NEC's concerns about blacklist methods in RHEL 6:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
multipath.conf can be written in 2 ways:
  1) blacklist everything and add specific devices to blacklist_exceptions
  2) blacklist specific devices

RHEL 5 used method 1, but it appears RHEL 6 is switching to method 2.

Both look same but if you add a local disk to the system after
installation, for example, (2) will result in treating the new disk as a
multipath device, but (1) will not.  The result with (2) would be
confusing for customers, so RHEL5 anaconda took the approach (1).
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Email response from Peter Jones (anaconda engineering):
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Well, he's not entirely correct - we're not using an "empty"
blacklist; we're listing certain classes of things as blacklisted by
default - we're blacklisting all SATA devices, for example, which is
how local disks will typically be attached.

That being said, it really would be better if /sbin/multipath didn't
try to create multipath devices when there's only one path, but
that's an issue for the multipath maintainers, not for the installer.

I would be happy to accept a patch to anaconda to create a
multipath.conf at the _end_ of installation which creates
blacklist_exceptions entries for each identified multipath device
and makes a generic blacklist for everything else, though it's of
questionable benefit given the blacklisting of classes of devices
I mentioned above. It's impractical to use this method of operation,
though. 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


See attached patch from NEC: 
anaconda-use-blacklist_exceptions-rhel6snap6.patch 
This event sent from IssueTracker by dwu  [Support Engineering Group]
 issue 1113383

Comment 2 Mark Wu 2010-07-08 06:27:09 UTC
Created attachment 430245 [details]
/tmp/anaconda-use-blacklist_exceptions-rhel6snap6.patch

Comment 8 Peter Jones 2010-07-14 18:09:31 UTC
Should be fixed in anaconda-13.21.59-1 .

Comment 11 Jan Stodola 2010-08-16 13:05:09 UTC
[root@dhcp70-190 ~]# multipath -ll
mpatha (3600a0b800034867a000005cd47d96f66) dm-0 SGI,IS400
size=339G features='3 queue_if_no_path pg_init_retries 50' hwhandler='1 rdac' wp=rw
|-+- policy='round-robin 0' prio=6 status=active
| `- 1:0:0:3 sdb 8:16 active ready running
`-+- policy='round-robin 0' prio=1 status=enabled
  `- 0:0:0:3 sda 8:0  active ghost running

/etc/multipath.conf contains:
[root@dhcp70-190 ~]# cat /etc/multipath.conf 
# multipath.conf written by anaconda

defaults {
        user_friendly_names yes
}
blacklist {
        devnode "^(ram|raw|loop|fd|md|dm-|sr|scd|st)[0-9]*"
        devnode "^hd[a-z]"
        devnode "^dcssblk[0-9]*"
        device {

<SKIPPED>

blacklist_exceptions {
        wwid 3600a0b800034867a000005cd47d96f66
}
multipaths {
        multipath {
                uid 0
                alias mpatha
                gid 0
                wwid 3600a0b800034867a000005cd47d96f66
                mode 0600
        }
}

Tested on build RHEL6.0-20100811.2 / x86_64 with anaconda-13.21.74-1.el6.
Moving to VERIFIED.

Comment 12 releng-rhel@redhat.com 2010-11-10 19:50:39 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.